// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_wetwork/ww1_sky1
{
	qer_editorimage env/ut4_wetwork/bromene-bay_bk.tga
	
	skyparms env/ut4_wetwork/bromene-bay 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

}

// ---=== FSK Signs ===---

textures/ut4_wetwork/ww1_hologo_b
{
	qer_editorimage textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_wetwork/ww1_hologo_r
{
	qer_editorimage textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_wetwork/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== My Logo ===---

textures/ut4_wetwork/ww1_lhlogo
{
	qer_editorimage textures/ut4_wetwork/lh_logo.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 100

	{
		map textures/ut4_wetwork/lh_logo.tga
		blendFunc blend
	}
}

// ---=== No Damage ===---

textures/ut4_wetwork/kilt_chipped_metalblack03:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_wetwork/ww1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_wetwork/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_wetwork/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_wetwork/ww1_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_wetwork/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_wetwork/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_wetwork/ww1_glass_slicknd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	cull none

	{
		map textures/ut4_wetwork/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_wetwork/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== Ladderclip ===---

textures/ut4_wetwork/ww1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---


textures/ut4_wetwork/e6basicstrip_blue
{
	qer_editorimage textures/ut4_wetwork/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_wetwork/e6basicstrip_blue.tga
	}
}

textures/ut4_wetwork/e6basicstrip_green
{
	qer_editorimage textures/ut4_wetwork/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_wetwork/e6basicstrip_green.tga
	}
}

textures/ut4_wetwork/e6basicstrip_orange
{
	qer_editorimage textures/ut4_wetwork/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_wetwork/e6basicstrip_orange.tga
	}
}

textures/ut4_wetwork/e6basicstrip_purple
{
	qer_editorimage textures/ut4_wetwork/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_wetwork/e6basicstrip_purple.tga
	}
}

textures/ut4_wetwork/e6basicstrip_red
{
	qer_editorimage textures/ut4_wetwork/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_wetwork/e6basicstrip_red.tga
	}
}

textures/ut4_wetwork/e6basicstrip_white
{
	qer_editorimage textures/ut4_wetwork/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_wetwork/e6basicstrip_white.tga
	}
}

textures/ut4_wetwork/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_wetwork/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
//	surfaceparm nonsolid
		
	{
		map textures/ut4_wetwork/e6basicstrip_yellow.tga
	}
}

textures/ut4_wetwork/ww1_e5_crete_blue
{
	qer_editorimage textures/ut4_wetwork/e5_crete_blue.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_wetwork/e5_crete_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_wetwork/e5_crete_blue_blend.tga
		blendfunc add
	}
}

textures/ut4_wetwork/ww1_e5_crete_red
{
	qer_editorimage textures/ut4_wetwork/e5_crete_red.tga
//	surfaceparm nomarks
	q3map_surfacelight 100
	surfaceparm nodamage

	{
		map textures/ut4_wetwork/e5_crete_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_wetwork/e5_crete_red_blend.tga
		blendfunc add
	}
}

textures/ut4_wetwork/ww1_gothbara
{
	qer_editorimage textures/ut4_wetwork/lh_gothbar_amb.jpg
	q3map_lightimage textures/ut4_wetwork/lh_gothbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_wetwork/lh_gothbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_wetwork/lh_gothbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_wetwork/ww1_gothbarb
{
	qer_editorimage textures/ut4_wetwork/lh_gothbar_blu.jpg
	q3map_lightimage textures/ut4_wetwork/lh_gothbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_wetwork/lh_gothbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_wetwork/lh_gothbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_wetwork/ww1_gothbarr
{
	qer_editorimage textures/ut4_wetwork/lh_gothbar_red.jpg
	q3map_lightimage textures/ut4_wetwork/lh_gothbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/ut4_wetwork/lh_gothbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_wetwork/lh_gothbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== shiny ===---

textures/ut4_wetwork/ww1_chrome1
{
	qer_editorimage textures/ut4_wetwork/chrome1.tga
	surfaceparm nodamage

	{
		map textures/ut4_wetwork/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_wetwork/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

// ---=== Water ===---

textures/ut4_wetwork/ww1_clear_ripple3
{
	qer_editorimage textures/ut4_wetwork/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	
	
	{ 
		map textures/ut4_wetwork/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/ut4_wetwork/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/ut4_wetwork/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/ut4_wetwork/ww1_waterfall1
{
//	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable

	qer_editorimage textures/ut4_wetwork/duck_pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7

	{
		map textures/ut4_wetwork/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_wetwork/duck_pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_wetwork/duck_pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut4_wetwork/ww1_waterfall2
{
//	q3map_fancywater 10 0.85 0.8 0.75

	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_wetwork/duck_pool5.tga

//	deformVertexes bulge 1 1 4
//	deformVertexes wave 16 sin 0 2 0 .5

	{
		map textures/ut4_wetwork/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_wetwork/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_wetwork/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}

// low waterflow

textures/ut4_wetwork/ww1_waterfall_slw
{
//	q3map_fancywater 10 0.85 0.8 0.75

	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_wetwork/duck_pool5.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_wetwork/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_wetwork/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_wetwork/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_wetwork/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== teleorbs ===---

textures/ut4_wetwork/ww1_teleorbb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_wetwork/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_wetwork/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_wetwork/ww1_teleorbr
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_wetwork/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_wetwork/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Evil Shaders ===---

textures/ut4_wetwork/e5_panel128light
{
	qer_editorimage textures/ut4_wetwork/e5_panel128light.tga
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map textures/ut4_wetwork/e5_panel128light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_wetwork/e5_panel128light_blend.tga
		blendfunc add
	}
}

textures/ut4_wetwork/e8warn2steplight
{
	qer_editorimage textures/ut4_wetwork/e8warn2steplight.tga
	q3map_lightimage textures/ut4_wetwork/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_wetwork/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_wetwork/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_wetwork/e8trimlight2_blue
{
	qer_editorimage textures/ut4_wetwork/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_wetwork/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_wetwork/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_wetwork/e8trimlight2_red
{
	qer_editorimage textures/ut4_wetwork/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_wetwork/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_wetwork/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_wetwork/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull disable
	{
		map textures/ut4_wetwork/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_wetwork/e8tmtllight2b
{
	qer_editorimage textures/ut4_wetwork/e8tmtllight2b.tga
	q3map_lightimage textures/ut4_wetwork/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_wetwork/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_wetwork/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/ut4_wetwork/evil8_rlight
{
	qer_editorimage textures/ut4_wetwork/e8_rlight.tga
	q3map_lightimage textures/ut4_wetwork/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_wetwork/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_wetwork/e8_rlight.blend.tga
		blendfunc add
	}
}
